import { type EditorView, WidgetType } from "@codemirror/view";
export declare class TodoWidget extends WidgetType {
    checked: boolean;
    private readonly position;
    view: EditorView | undefined;
    constructor(checked: boolean, position: number);
    onClick(event: MouseEvent): void;
    onBlock(event: MouseEvent): void;
    toDOM(view: EditorView): HTMLElement;
    destroy(dom: HTMLElement): void;
}
