import { type EditorView, WidgetType } from "@codemirror/view";
export declare class CodeWidget extends WidgetType {
    private readonly language;
    private content;
    view: EditorView | undefined;
    timer: NodeJS.Timeout | undefined;
    button: HTMLElement | undefined;
    span: HTMLElement | undefined;
    constructor(language: string, content: string | undefined);
    onClick(): void;
    toDOM(view: EditorView): HTMLElement;
    destroy(dom: HTMLElement): void;
}
