import { Decoration, type WidgetType } from "@codemirror/view";
type GetLineDecorationOptions = {
    style: string;
    range: [number, number?];
};
export declare function getLineDecoration({ style, range }: GetLineDecorationOptions): import("@codemirror/state").Range<Decoration>;
type GetMarkDecorationOptions = {
    style: string;
    range: [number, number];
};
export declare function getMarkDecoration({ range, style }: GetMarkDecorationOptions): import("@codemirror/state").Range<Decoration>;
type GetHideDecorationOptions = {
    range: [number, number];
};
export declare function getHideDecoration({ range }: GetHideDecorationOptions): import("@codemirror/state").Range<Decoration>;
type GetReplaceDecorationOptions = {
    range: [number, number?];
    widget: WidgetType;
};
export declare function getReplaceDecoration({ range, widget }: GetReplaceDecorationOptions): import("@codemirror/state").Range<Decoration>;
type GetWidgetDecorationOptions = {
    widget: WidgetType;
    range: [number, number?];
};
export declare function getWidgetDecorationOptions({ widget, range }: GetWidgetDecorationOptions): import("@codemirror/state").Range<Decoration>;
export {};
